Bug 969787 - [abrt] gambas3-runtime-3.4.1-4.fc18: my_free: Process /usr/bin/gbx3 was killed by signal 11 (SIGSEGV)
[abrt] gambas3-runtime-3.4.1-4.fc18: my_free: Process /usr/bin/gbx3 was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gambas3 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:c54ab1041ba62c1624fccaadae5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 07:30 EDT by Laurent Weislo
Modified: 2014-02-05 16:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.13 KB, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: core_backtrace (812 bytes, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: dso_list (5.11 KB, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: environ (1.51 KB, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: maps (26.12 KB, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: open_fds (965 bytes, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details
File: var_log_messages (300 bytes, text/plain)
2013-06-02 07:31 EDT, Laurent Weislo
no flags Details

  None (edit)
Description Laurent Weislo 2013-06-02 07:30:58 EDT
Description of problem:
First run of sample program webcam3d after first install of gambas3

Version-Release number of selected component:
gambas3-runtime-3.4.1-4.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/gbx3 -g -f 7994 /usr/share/gambas3/examples/OpenGL/3DWebCam
crash_function: my_free
executable:     /usr/bin/gbx3
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 my_free at ../share/gb_alloc_temp.h:370
 #1 OBJECT_free at gbx_object.c:239
 #2 OBJECT_release at gbx_object.c:350
 #3 CLASS_free at gbx_class.c:731
 #4 OBJECT_release_static at gbx_object.c:279
 #5 release at gbx_object.c:337
 #6 OBJECT_release at gbx_object.c:347
 #7 CLASS_clean_up at gbx_class.c:346
 #8 main_exit at gbx.c:128
Comment 1 Laurent Weislo 2013-06-02 07:31:03 EDT
Created attachment 755849 [details]
File: backtrace
Comment 2 Laurent Weislo 2013-06-02 07:31:06 EDT
Created attachment 755850 [details]
File: cgroup
Comment 3 Laurent Weislo 2013-06-02 07:31:10 EDT
Created attachment 755851 [details]
File: core_backtrace
Comment 4 Laurent Weislo 2013-06-02 07:31:14 EDT
Created attachment 755852 [details]
File: dso_list
Comment 5 Laurent Weislo 2013-06-02 07:31:17 EDT
Created attachment 755853 [details]
File: environ
Comment 6 Laurent Weislo 2013-06-02 07:31:21 EDT
Created attachment 755854 [details]
File: limits
Comment 7 Laurent Weislo 2013-06-02 07:31:25 EDT
Created attachment 755855 [details]
File: maps
Comment 8 Laurent Weislo 2013-06-02 07:31:29 EDT
Created attachment 755856 [details]
File: open_fds
Comment 9 Laurent Weislo 2013-06-02 07:31:32 EDT
Created attachment 755857 [details]
File: proc_pid_status
Comment 10 Laurent Weislo 2013-06-02 07:31:36 EDT
Created attachment 755858 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 08:49:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:38:01 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.